com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructNFSv3server

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructNFSv3server

Enclosing class:
  Perfstat.perfstat_protocol_t

    @Structure.FieldOrder(value={"calls","nullreq","getattr","setattr","lookup","access","readlink","read","write","create","mkdir","symlink","mknod","remove","rmdir","rename","link","readdir","readdirplus","fsstat","fsinfo","pathconf","commit"})
    public static class Perfstat.perfstat_protocol_t.AnonymousStructNFSv3server
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `access`
`long` `calls`
`long` `commit`
`long` `create`
`long` `fsinfo`
`long` `fsstat`
`long` `getattr`
`long` `link`
`long` `lookup`
`long` `mkdir`
`long` `mknod`
`long` `nullreq`
`long` `pathconf`
`long` `read`
`long` `readdir`
`long` `readdirplus`
`long` `readlink`
`long` `remove`
`long` `rename`
`long` `rmdir`
`long` `setattr`
`long` `symlink`
`long` `write`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`AnonymousStructNFSv3server()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### calls

    public long calls

#### nullreq

    public long nullreq

#### getattr

    public long getattr

#### setattr

    public long setattr

#### lookup

    public long lookup

#### access

    public long access

#### readlink

    public long readlink

#### read

    public long read

#### write

    public long write

#### create

    public long create

#### mkdir

    public long mkdir

#### symlink

    public long symlink

#### mknod

    public long mknod

#### remove

    public long remove

#### rmdir

    public long rmdir

#### rename

    public long rename

#### link

    public long link

#### readdir

    public long readdir

#### readdirplus

    public long readdirplus

#### fsstat

    public long fsstat

#### fsinfo

    public long fsinfo

#### pathconf

    public long pathconf

#### commit

    public long commit

### Constructor Detail

#### AnonymousStructNFSv3server

    public AnonymousStructNFSv3server()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.